%define oname   syntax

Name:       ruby-%{oname}
Version:    1.0.0
Release:    %mkrel 3
Summary:    Syntax is Ruby library for performing simple syntax highlighting
Group:      Development/Ruby
License:    BSD
URL:        http://rubygems.org/gems/syntax/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Syntax is Ruby library for performing simple syntax highlighting.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Wed Jan 26 2011 shikamaru <shikamaru> 1.0.0-3.mga1
+ Revision: 39706
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 1.0.0-2.mga1
+ Revision: 36114
- imported package ruby-syntax


* Sun Jan 23 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.0-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Sat Oct 09 2010 Rémy Clouard <shikamaru@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 584340
- import rubygem-syntax

